de.esprit.appsuite.nio.binary

## Class NumberBufferWrapper

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.log.SimpleLogSupportAdapter
    - - de.esprit.appsuite.nio.binary.ByteBufferWrapper
      - - de.esprit.appsuite.nio.binary.NumberBufferWrapper

- All Implemented Interfaces:
    BinaryDataStructure, SimpleLogSupport, Dumpable, Resettable
  Direct Known Subclasses:
    DoubleBufferWrapper, FloatBufferWrapper, IntBufferWrapper, LongBufferWrapper, ShortBufferWrapper

      public abstract class NumberBufferWrapper
      extends ByteBufferWrapper

  This is the super class for all number based buffer wrappers. It allows for getting the start-position of an indexed value which is useful in order to read single values of huge arrays rather than loading the whole array.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberBufferWrapper(java.lang.String name, BinaryChannel binaryChannel, JavaDataType javaDataType, int numberOfValues)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract NumberBufferWrapper` | `createSingleValueBufferWrapper()`
    `abstract double` | `getDoubleValue()`
    `abstract double` | `getDoubleValue(int index)`
    `protected <B extends NumberBufferWrapper> B` | `getSingleValueBufferWrapper(int index)`
    `void` | `reset()` Clears the internal cache and forces the data to be re-read again on the next access.

    - ### Methods inherited from class de.esprit.appsuite.nio.binary.ByteBufferWrapper

      `getBinaryChannel, getByteBuffer, getByteOrder, getCapacity, getData, getEndPosition, getJavaDataType, getName, getNumberOfValues, getPredecessor, getReadOffset, getSize, getStartPosition, read, setPredecessor, setReadOffset`

    - ### Methods inherited from class de.esprit.common.log.SimpleLogSupportAdapter

      `getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NumberBufferWrapper

          public NumberBufferWrapper(java.lang.String name,
                             BinaryChannel binaryChannel,
                             JavaDataType javaDataType,
                             int numberOfValues)

  - ### Method Detail

    - #### createSingleValueBufferWrapper

          protected abstract NumberBufferWrapper createSingleValueBufferWrapper()

    - #### getSingleValueBufferWrapper

          protected <B extends NumberBufferWrapper> B getSingleValueBufferWrapper(int index)

    - #### getDoubleValue

          public abstract double getDoubleValue()
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getDoubleValue

          public abstract double getDoubleValue(int index)
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### reset

          public void reset()

      Description copied from class: `ByteBufferWrapper`
      Clears the internal cache and forces the data to be re-read again on the next access.
      Specified by:
        `reset` in interface `Resettable`
      Overrides:
        `reset` in class `ByteBufferWrapper`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.